Bug 962596 (CVE-2013-1670) - CVE-2013-1670 Mozilla: Privileged access for content level constructor (MFSA 2013-42)
Summary: CVE-2013-1670 Mozilla: Privileged access for content level constructor (MFSA ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1670
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130514,repor...
Depends On:
Blocks: 959859
TreeView+ depends on / blocked
 
Reported: 2013-05-14 02:05 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-14 21:02:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0820 normal SHIPPED_LIVE Critical: firefox security update 2013-05-15 00:01:54 UTC
Red Hat Product Errata RHSA-2013:0821 normal SHIPPED_LIVE Important: thunderbird security update 2013-05-15 00:01:40 UTC

Description Huzaifa S. Sidhpurwala 2013-05-14 02:05:16 UTC
Security researcher Cody Crews reported a method to call a content level constructor that allows for this constructor to have chrome privileged accesss. This affects Chrome object wrappers and allows for write actions on objects when only read actions should be allowed. This can lead to cross-site scripting (XSS) attacks.

In general these flaws cannot be exploited through email in the Thunderbird product because scripting is disabled, but are potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-42.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges  Cody Crews  as the original reporter.

Comment 1 errata-xmlrpc 2013-05-14 20:03:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0821 https://rhn.redhat.com/errata/RHSA-2013-0821.html

Comment 2 errata-xmlrpc 2013-05-14 20:04:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0820 https://rhn.redhat.com/errata/RHSA-2013-0820.html


Note You need to log in before you can comment on or make changes to this bug.